package com.hongyegroup.cpt_newsfeed.ui

import android.os.Bundle
import com.guadou.cs_cptservices.base.fragment.YYBaseVDBLazyLoadingFragment
import com.guadou.lib_baselib.bean.DataBindingConfig
import com.guadou.lib_baselib.utils.KeyboardUtils
import com.hongyegroup.cpt_newsfeed.BR
import com.hongyegroup.cpt_newsfeed.R
import com.hongyegroup.cpt_newsfeed.databinding.FragmentNewsfeedFollowBinding
import com.hongyegroup.cpt_newsfeed.mvvm.NewsFeedFollowViewModel

/**
 * 我关注的人员列表
 */
class NewsFeedFollowFragment : YYBaseVDBLazyLoadingFragment<NewsFeedFollowViewModel, FragmentNewsfeedFollowBinding>() {

    override fun getDataBindingConfig(): DataBindingConfig {
        return DataBindingConfig(R.layout.fragment_newsfeed_follow, BR.viewModel, mViewModel)
            .addBindingParams(BR.click, ClickProxy())
    }

    override fun init(savedInstanceState: Bundle?) {
    }

    override fun onLazyInitData() {
    }

    override fun startObserve() {
    }

    /**
     * DataBinding事件处理
     */
    inner class ClickProxy {

        fun selectCountryCode() {
            KeyboardUtils.hideSoftInput(mActivity)
        }

    }

}